# QSplashScreen Class Reference

### [com.trolltech.qt.gui package]

Inherits QWidget.

### Constructor

- void QSplashScreen(QWidget parent, QPixmap pixmap, WindowFlags f)
- void QSplashScreen(QPixmap pixmap, WindowFlags f)

### Constructor Properties

- prototype: The QSplashScreen prototype object

### Prototype Object Properties

The QSplashScreen prototype object inherits properties from the QWidget prototype object and also has the following properties.

- void finish(QWidget w)
- QPixmap pixmap()
- void setPixmap(QPixmap pixmap)

### Instance Properties

QSplashScreen objects have no special properties beyond those inherited from the QSplashScreen prototype object.